Skip to main content
GET
/
nft
/
collection
/
trait
/
attributes
Get Collection Trait Attributes
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/collection/trait/attributes \
  --header 'X-API-KEY: <api-key>'
{
  "name": "Background",
  "attributes": [
    {
      "attribute_name": "Background",
      "count": "Red"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<string>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10200,
1088,
1101,
11155111,
11155420,
11297108109,
1284,
1285,
1329,
137,
1666600000,
167000,
167009,
2020,
2442,
248,
25,
250,
288,
300,
324,
4002,
42161,
421614,
42170,
42220,
43113,
43114,
5000,
534351,
534352,
56,
59141,
59144,
7000,
7001,
80002,
80094,
81457,
8453,
84532,
9001,
97,
solana,
solana-devnet
Example:

1

contractAddress
string
default:0x60e4d786628fea6478f785a6d7e704777c86a7c6
required

The address of the NFT collection to query.

Example:

"0x60e4d786628fea6478f785a6d7e704777c86a7c6"

trait
string
default:Background
required

The trait to query.

Example:

"Background"

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
GoldRush

Response

200 - application/json
name
string
required

The name of the trait.

Example:

"Background"

attributes
object[]
required

The attributes of the trait.